Last Comment Bug 655912 - install-module.pl is unable to install LWP::UserAgent on Perl <5.8.8, because LWP 6.0 now requires 5.8.8 as a minimum
: install-module.pl is unable to install LWP::UserAgent on Perl <5.8.8, because...
Status: RESOLVED FIXED
[blocker will fix for 5.0]
:
Product: Bugzilla
Classification: Server Software
Component: Installation & Upgrading (show other bugs)
: 4.1.2
: All All
: -- normal (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 655477
Blocks: bz-release-402
  Show dependency treegraph
 
Reported: 2011-05-09 17:48 PDT by Frédéric Buclin
Modified: 2011-07-31 04:57 PDT (History)
1 user (show)
mkanat: approval+
LpSolit: blocking4.2+
mkanat: approval4.0+
mkanat: blocking4.0.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (1.18 KB, patch)
2011-07-30 06:42 PDT, Frédéric Buclin
mkanat: review+
Details | Diff | Review

Description Frédéric Buclin 2011-05-09 17:48:18 PDT
Same problem as in bug 631328, but for LWP against Perl 5.8.7 and older.
Comment 1 Max Kanat-Alexander 2011-05-09 18:26:02 PDT
We may be able to make install-module pick the older 5.x version.
Comment 2 Frédéric Buclin 2011-07-22 00:47:55 PDT
Can we have this bug fixed before we release 4.0.2, please?
Comment 3 Frédéric Buclin 2011-07-30 06:42:19 PDT
Created attachment 549575 [details] [diff] [review]
patch, v1
Comment 4 Max Kanat-Alexander 2011-07-30 22:36:38 PDT
Comment on attachment 549575 [details] [diff] [review]
patch, v1

Okay. If you've tested this and it works, then it looks fine to me.
Comment 5 Frédéric Buclin 2011-07-31 04:57:07 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/Install/CPAN.pm
Committed revision 7875.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Install/CPAN.pm
Committed revision 7627.

Note You need to log in before you can comment on or make changes to this bug.